# On Joining (and Leaving) a Techstars Company

## Reach for the (Tech)Stars

I thought I had finally caught a break. After floundering in the city of Boulder from leaving California post-True Ventures, I felt that I was slowly coming to good standing with the world. After multitudinous interviews, I was exhausted, but one really caught my eye&mdash;a tech company called Stateless. Contacted directly by their CEO, Murad, I was told that they were working on game-changing networking technology (something I still believe).

Now, I won't feign that I have a deep knowledge of SDN, but I do understand its implications. The technology is _never_ going to be easy to explain, but at it's core it's a decoupling of process (the things that happen) and state (the data of the things) in network functions. But Murad, he had a deep understanding of it all, as a PhD student under his advisor Eric (who became CTO), who studied under [Jennifer Rexford](http://www.cs.princeton.edu/~jrex/), a pioneer in the field.

I was excited. And even more, I was excited to learn that they were part of TechStars, one of the largest startup accelerators alongside YCombinator. I was nervous about the prospect of joining a startup (despite being so excited about them) given their 90% failure rate, but the TechStars name was a meaningful insurance.

Our interviews were quick and maybe to my frustration, didn't test me technically.

Well, there was one test. Murad and the COO, Nigel, asked the rest of the team to leave the room in the final interview (a team of three people at the time, mind you). "So, I think it's time we address the elephant in the room." I thought, oh salary?, that's not a big deal&mdash;I just need enough to pay rent. But of course, it was about my gender. "You, know, we saw that your name is Emma, but sometimes you go by Em..." and I felt lowkey mortified. It wasn't necessarily direspectful, just awkward and not a particularly great question. I slowly explained to them transness and the gender binary (concepts they had never before heard), and while their reception was not warm-hugs, it wasn't cold-shoulder.

There's probably a lot of baggage there. See, back in fall, I had applied to InMotion Hosting. After my first Skype interview, I got off Skype and&mdash;oh wait, I didn't get off Skype. I had stayed on, foolishly, as one of the interviewers began mocking my gender identity and asking "so, was it a he or a she?" to my indignation. I can't go into an interview without suspecting the interviewer is somehow transphobic because I don't know what they'll say when I log off Skype. I'm not for self-vicitmization, and think people don't judge me as often as I _think_ they do, but the information assymetry can be maddening.

This isn't a transphobia exposé. You might be surprised to read I joined the company&mdash;honestly, I was desperate for a consistent paycheck (random web dev gigs weren't cutting it), and maybe even more desperate for validation as a frontend geek.

## Liftoff

The first day on the job was rife with TechStars formalities&mdash;they really absorb you and the company, though as a non-essential (read: not C-suite), I could often skip the presentations and the like and hammer away on our application.

Working with a blank slate is too much fun for me. I could bring in a Typescript/React app with GraphQL, Relay&mdash;any tech I felt like. I enjoyed the company of my co-workers, especially Dan, who brought to the table the same work ethic and meticulousness I had, and the greater TechStars team, including Madison, who was glowing with promise. I thrive in high concentrations of talent.

Were there some omens in the engine? Well, I had started to work later and later, and my circadian rhythm had leaned late-night for so long, the morning demands of Stateless were hard to keep up with. The constant misgendering was hard to address head-on or willingly, because the mixture of my name being Emma and my gender presentation's inconsistency created plausible deniability. More telling, I spent $100 on coffee each week.


## Houston, We Have A Bug

Having been hired in late January, Stateless had a three-month run as part of TechStars. By March, things were reaching a stress point.

For one, Graham, one our engineers, was fired in February, before he really even got a chance to prove himself. I didn't know him well yet, so it was hard to judge, but it deflated morale a bit. Then, our COO, Nigel, was fired. I had overheard Murad and Eric talk about it, so it didn't come as a shock. And maybe I didn't like Nigel. But I had never thought that hire early, fire often applied to everyone. Eric had lead a company that failed a couple years back due to mistrust, and it was clear that colored how he approached his team.

Misdirection set in. The whole team fought over simple layout decisions for hours, Murad was furious that I started my days so late. We had all agreed 11-3 would be core hours. I obliged. I wasn't perfect, but I did keep a journal of what hour I started working, since Murad wasn't even there half the time.

Spoilers: my time there was over the moment I began doing that (though I didn't know at the time). Murad didn't trust me, and I didn't trust him to trust me. It wasn't about what time I was in the office&mdash;it was about the emotive element of punctuality, of him feeling that I _wanted_ to be in the office early for him. It probably didn't help I broke down and had a panic attack in the office over this.

Our demo was faltering, far behind our "deadline," which was more a hope than a plan.

In a futile attempt to meet said deadlines, Dan and I stayed late in the office. I mean _late_ late. One time I worked 34 hours straight. I doubled my antidepressant dosage. I came home and worked more. The words of "we care about work-life balance" were just words compared to the pressure of the "demo." "For the sake of the demo" became a common mantra.

While it felt like the TechStars residency was going to kill me, we eventually graduated and our pitch was incredible. The euphoria of standing up on stage with all my colleagues, celebrating the amazing product we were creating. The open bar didn't hurt either. But seriously, that week was the most I ever felt like we were a cohesive team, and Murad's presentation even managed to explain what we actually did! But it did stick with me when an older woman, a software engineer, told me "of all this presentations, this one, I think, is going to be revolutionary. But why aren't there more women in your company?"

## A Slow Burn

Post-techstars, we moved into our own office, a block away from my apartment at the time. There was a strange lull period before securing the office where we worked from the University of Colorado's incubator offices. Everything slowed down (as evidenced best by my commit history, which went from 30 to 50 commits a day to 5 or 6). Everything slowing down brought me down from peak anxiety and to reflect on the meaning of it all.

Did I really fit in this startup? How much did I really believe in it, and in myself? Was all the effort I was putting in worth, what I hoped, would be the end result?

As we returned to our normlacy, we had to conduct interviews with potential candidates. And each time that I had to talk about the company, I felt conflicted, pulled between flourish and truth. I had to honestly ask myself "would I recommend this job to myself"?

I would have overwhelmingly recommended the techstars portion of it all&mdash;all that stress felt meaningful, and being surrounded by such brilliant people was an opportunity for osmosis if there ever was one. But when the glimmer of Techstars faded, Stateless seemed so dim. It wasn't being sustained off its own light.

Murad and I still fought over my schedule, and Eric and I didn't agree on a vision of what the Stateless web application meant, and got bogged in usability details. I'm certain I wasn't free of sin&mdash;I think all frayed company relationships are mutual mess-ups. Simply put: it didn't work out. It wasn't meant to.

## A Space of One's Own

Leaving a startup brings its special brand of sleeplessness: what will happen to the company without me&mdash;will they be okay? Who will replace me? What if they IPO one day, and I lose out on millions? Or even worse, lose out on knowing I could have helped build such a product? What if they fail? What if what if what if?

At some point, I had to start caring about the now, especially about my mental health, and putting my talents to use where I felt more respected or more valuable. I don't regret anything now, and I'm glad for the success the Stateless team has had thus far. I think the lesson really came down to the fact I had to value my work-life balance, value how employers treated my identity, value my own goals for self-improvement. (And you too if you're not doing those things yet. Come on now, chop chop). Self care needs to be more important than your career because your _real_ career is you, and you should never take a job where your work involves discarding yourself. That's as clearly as I can distill it.